#
# Methodology used by the model comparator to hide some
# not compared objects. Note that these links MUST be set explicitely
# invisible or the comparator will throw exceptions.
# Not visible links/objects are:
# - links to Mapping objects
# - graphical information objects
# - physical information objects
# - XML grouping objects
# - link from the model to its parent object
# - Property Value objects

%hidden=true

Feature {
Links
    !FeatureMap.SourceOf;
    !FeatureMap.DestinationOf;
}

Classifier {
Links
    !ClassifierMap.SourceOf;
    !ClassifierMap.DestinationOf;
}

Attribute {
Links
	!ClassMap.SourceOf;
	!ClassMap.DestinationOf;
	!Grouping;
}

Class {
Links
	!Grouping;
}

AssociationRole {
Links
	!Grouping;
}

DerivedType {
Links
	!EnumeratedTypeMap.SourceOf;
	!EnumeratedTypeMap.DestinationOf;
}

Diagram {
Links
	!PresentationElement;
}

Key {
Links
	!KeyMap.DestinationOf;
}

Model {
Links
#The following link must be set explicitely not visible here
#althougth this is not necessary in the other view files.
	!ModelFormat;
	!MetadataOrigin;
	!Package.Parent;
	Package.Child;
	!PhysicalTarget;
    PropertyElementTypeScope;
	Type;
}

ModelObject {
Links
	!KeyMap.SourceOf;
	!PhysicalObject.Associated;
	!PresentationElement.Presentation;
}

TypeValue {
Links
	!TypeValueMap.SourceOf;
	!TypeValueMap.DestinationOf;
}
