# IDEF1X Methodology view

Object {
Attributes
	!ElementType;
	-Name;
	!ID;
}

Element {
Attributes
	Description;
Links
	Note;
	!PropertyValue;
}

########################################################
# Repository metadata (Inherits from RepositoryObject) #
########################################################

##############################################
# Model metadata (inherits from ModelObject) #
##############################################

ModelObject {
Attributes
	!PhysicalID;
	PhysicalName;
	!Status;
	Comment;
	DesignLevel;
	!Stereotype;
Links
	<external|back>KeyMap.SourceOf;
	!PhysicalObject.Associated;
	!PresentationElement.Presentation;
	!Schema.Owner;
	Synonym;
}

Type {
Links
	!Model;
	!MappingModel;
	AliasType;
	!Argument;	
	Feature{Attribute, SQLViewAttribute, !Condition, !DimensionAttribute, !Measure, !LevelAttribute};
	!Operation;
}

ClassType {
Links
	!Class.Associated;
}

# The following modify the order defined in one of the parent
# classes and thus must come last
DerivedType {
Links
	<back>ConcreteType.DerivedFrom;
	TypeValue;
	<external|forward>EnumeratedTypeMap.DestinationOf;
	<external|back>EnumeratedTypeMap.SourceOf;
	AliasType;
	!Argument;
	Feature{Attribute, SQLViewAttribute, !Condition, !DimensionAttribute, !Measure, !LevelAttribute};
	!Operation;
}

Classifier {
Attributes
Links
	!<external|forward>ClassifierMap.DestinationOf;
	!<external|back>ClassifierMap.SourceOf;
	Feature;
	!JoinRole.Associated;
	<back>SQLViewAssociation.SourceOf;
}

Feature {
Attributes
	Position;
Links
	!Classifier;
	!<external|forward>FeatureMap.DestinationOf;
	!<external|back>FeatureMap.SourceOf;
	Type;
	<forward>SQLViewAttribute.SourceOf;
}

Class="Entity" {
Attributes
	!CppClassType;
	!CppScope;
	!CppConcurrency;
	!CppAbstract;
	!CppPersistent;
	!CppMultiplicity;
	!CppSpace;
	!DimensionalType;
	!DimensionalRole;
Links
	!Argument;
	!Association;
	<check>CandidateKey.Primary;
	Key;
	!Index;
	!Operation;
	!Grouping;
	<up>Generalization.SubtypeOf;
	<down>Generalization.SupertypeOf;
	AssociationRole;
	!<forward>Dependency;
	!<back>Dependency.SupplierOf;
	!<forward>Realization;
	!<back>ClassType;
	!<back>Realization.SpecificationOf;
	!MappingModel;
	!Transformation;
}

Attribute {
Attributes
	InitialValue;
	!CppScope;
	!CppContainment;
	!CppStatic;
	!CppDerived;
	Optional;
	ExtraConstraint;
Links
	!AssociationRole.QualifierOf;
	Key;
	!IndexMember;
	<forward>AssociationRoleNameMap.DestinationOf;
	<back>AssociationRoleNameMap.SourceOf;
	Generalization.DiscriminatorOf;
	<external|forward>ClassMap.SourceOf;
	<external|forward>ClassMap.DestinationOf;
	!Grouping;
}

SQLViewEntity {
Links
	!Operation;
	<forward>SQLViewAssociation.DestinationOf;
}

Model {
Attributes
	CreationTime="Creation Time";
Links
	!ModelFormat;
	!MetadataOrigin;
	Package;
	!Transformation;
	!PhysicalTarget;
	!PropertyElementTypeScope;
	Type;
}

Package {
Attributes
	!UserDefined;
Links
	!Model;
	!Package.Parent;
	Package.Child;
	Diagram;
	ModelElement{!Dependency, !Realization, !Dimension, !Cube, !Join, !Filter};
	!StoredProcedure;
}

Generalization="Categorization" {
Attributes
	!CppScope;
	!CppVirtual;
	!CppFriend;
}

Association="Relationship" {
Attributes
	Aggregation="Identifying";
	ExtraConstraint;
	!UserDefined;
Links
	!Class.Associated;
	AssociationRole;
}

AssociationRole="Relationship End" {
Attributes
	Source;
	Multiplicity="Cardinality";
	Navigable;
	Ordered;
	ExtraConstraint;
	!CppScope;
	!CppContainment;
	!CppStatic;
	!CppFriend;
	!Position;
Links
	!Association;
	!Attribute.Qualifier;
	ForeignKey;
	Class.Associated=;
	!Grouping;
}

AssociationRoleNameMap="Role Name" {
}

Key {
Links
	!Class.Associated;
	Attribute;
	!Index;
	<external|forward>KeyMap.DestinationOf;
}

Diagram="View" {
Links
	!Package;
	ModelElement{!Dependency, !Realization, !Join, !Dimension, !Cube, !Filter};
	!PresentationElement;
}

ClassDiagram="View" {
}

################################################################
# Transformation metadata (inherits from TransformationObject) #
################################################################

##################################################
# Mapping metadata (inherits from MappingObject) #
##################################################
