# RDBMS view

Object {
Attributes
	!ElementType;
	-Name;
	!ID;
}

Element {
Attributes
	Description;
Links
	Note;
	!PropertyValue;
}

########################################################
# Repository metadata (Inherits from RepositoryObject) #
########################################################

##############################################
# Model metadata (inherits from ModelObject) #
##############################################

ModelObject {
Attributes
	!PhysicalID;
	PhysicalName;
	!Status;
	Comment;
	DesignLevel;
	!Stereotype;
Links
	<external|back>KeyMap.SourceOf;
	PhysicalObject.Associated;
	!PresentationElement.Presentation;
	Schema.Owner="Owner";
	Synonym;
}

ClassType {
Links
	!Class.Associated;
}

Type {
Links
	!Model;
	!MappingModel;
	AliasType;
	Argument;	
	Feature{Attribute, SQLViewAttribute, !Condition, !DimensionAttribute, !Measure, !LevelAttribute};
	!Operation;
}

ConcreteType {
Attributes
	DataType;
	Length;
	Scale;
}

DerivedType {
Attributes
	InitialValue="Default Value";
	!LowerBound;
	!UpperBound;
	!UserDefined;
Links
	<back>ConcreteType.DerivedFrom;
	TypeValue;
	<external|forward>EnumeratedTypeMap.DestinationOf;
	<external|back>EnumeratedTypeMap.SourceOf;
	!AliasType;
	Feature{Attribute, SQLViewAttribute, !Condition, !DimensionAttribute, !Measure, !LevelAttribute};
	Argument;
	!Operation;
}

ModelElement {
Links
	!Package;
	!Diagram;
}

Classifier {
Attributes
Links
	!<external|forward>ClassifierMap.DestinationOf;
	!<external|back>ClassifierMap.SourceOf;
	Feature;
	!JoinRole.Associated;
	<back>SQLViewAssociation.SourceOf;
}

Feature {
Attributes
	Position="Ordinal";
Links
	!Classifier;
	!<external|forward>FeatureMap.DestinationOf;
	!<external|back>FeatureMap.SourceOf;
	Type;
	<forward>SQLViewAttribute.SourceOf;
}

Class="Table" {
Attributes
	!CppClassType;
	!CppScope;
	!CppConcurrency;
	!CppAbstract;
	CppPersistent="Persistent";
	!CppMultiplicity;
	!CppSpace;
	DimensionalType;
	DimensionalRole;
Links
	!Argument;
	!Association;
	<check>CandidateKey.Primary;
	Key;
	Index;
	Operation;
	!Grouping;
	<up>Generalization.SubtypeOf;
	<down>Generalization.SupertypeOf;
	AssociationRole;
	!<forward>Dependency;
	!<back>Dependency.SupplierOf;
	!<forward>Realization;
	!<back>Realization.SpecificationOf;
	!MappingModel;
	!Transformation;
}

Attribute="Column" {
Attributes
	InitialValue;
	!CppScope;
	!CppContainment;
	!CppStatic;
	!CppDerived;
	Optional;
	ExtraConstraint;
Links
	!AssociationRole.QualifierOf;
	Key;
	IndexMember;
	<forward>AssociationRoleNameMap.DestinationOf;
	<back>AssociationRoleNameMap.SourceOf;
	!Generalization.DiscriminatorOf;
	<external|forward>ClassMap.SourceOf;
	<external|forward>ClassMap.DestinationOf;
	!Grouping;
}

SQLViewAttribute="Column" {
}

SQLViewEntity = "View" {
Attributes
	SQLTableWhereClause="Query Expression";
}

Model {
Links
	!ModelFormat;
	!MetadataOrigin;
	Package;
	!Transformation;
	PhysicalTarget;
	Catalog;
	!PropertyElementTypeScope;
	Type;
}

Package {
Attributes
	!UserDefined;
Links
	!Model;
	!Package.Parent;
	Package.Child=;
	!Diagram;
	ModelElement{!Dependency, !Realization, !Dimension, !Cube, !Join, !Filter};
	StoredProcedure;
}

Schema {
Attributes
Links
	!Catalog;
	ModelObject{Class, SQLViewEntity, Index, !Dimension, !Cube, !Join, !Filter};
}

Operation="Procedure" {
Attributes
	!Position;
	!CppScope;
	!CppConcurrency;
	!CppAbstract;
	!CppFriend;
	!CppStatic;
	!CppVirtual;
	Semantics = "Expression";
	!Precondition;
	!Postcondition;
}

Trigger {
Attributes
	TriggerType="Timing";
}

Argument="Parameter" {
}

Generalization = "Relationship" {
Attributes
	!CppScope;
	!CppVirtual;
	!CppFriend;
Links
	<up>Class.Supertype;
	<down>Class.Subtype;
	!Attribute.Discriminator;
	ForeignKey;
}

Association="Relationship" {
Attributes
	Aggregation="Identifying";
	ExtraConstraint;
	!UserDefined;
}

AssociationRole="Relationship End" {
Attributes
	Source;
	Multiplicity="Cardinality";
	Navigable;
	Ordered;
	ExtraConstraint;
	!CppScope;
	!CppContainment;
	!CppStatic;
	!CppFriend;
	!Position;
Links
	!Association;
	!Attribute.Qualifier;
	ForeignKey;
	Class.Associated;
	!Grouping;
}

AssociationRoleNameMap="Role Name" {
}

CandidateKey="Key" {
Links
	!Class.PrimaryOf;
	ForeignKey;
}

IndexMember="Index Column" {
}

PhysicalTarget = "Target Database" {
}

################################################################
# Transformation metadata (inherits from TransformationObject) #
################################################################

##################################################
# Mapping metadata (inherits from MappingObject) #
##################################################
