# UML Methodology view

Object {
Attributes
	!ElementType;
	-Name;
	!ID;
}

Element {
Attributes
	Description;
Links
	Note;
	!PropertyValue;
}

########################################################
# Repository metadata (Inherits from RepositoryObject) #
########################################################

##############################################
# Model metadata (inherits from ModelObject) #
##############################################

ModelObject {
Attributes
	!PhysicalID;
	!PhysicalName;
	!Status;
	!Comment;
	!DesignLevel;
	Stereotype;
Links
	<external|back>KeyMap.SourceOf;
	!PhysicalObject.Associated;
	PresentationElement.Presentation;
	!Schema.Owner;
	!Synonym;
}

Type {
Attributes
Links
	!Model;
	!MappingModel;
	AliasType;
	!Argument;
	Feature{Attribute, !SQLViewAttribute, !Condition, !DimensionAttribute, !Measure, !LevelAttribute};
	!Operation;
}

# The following modify the order defined in one of the parent
# classes and thus must come last
DerivedType {
Attributes
    InitialValue;
	LowerBound;
	UpperBound;
	!UserDefined;
Links
	<back>ConcreteType.DerivedFrom;
	TypeValue;
	<external|forward>EnumeratedTypeMap.DestinationOf;
	<external|back>EnumeratedTypeMap.SourceOf;
	AliasType;
	!Argument;
	Feature{Attribute, !SQLViewAttribute, !Condition, !DimensionAttribute, !Measure, !LevelAttribute};
	!Operation;
}

Classifier {
Attributes
Links
	!<external|forward>ClassifierMap.DestinationOf;
	!<external|back>ClassifierMap.SourceOf;
	Feature;
	!JoinRole.Associated;
	!<back>SQLViewAssociation.SourceOf;
}

Feature {
Attributes
	Position;
Links
	!Classifier;
	!<external|forward>FeatureMap.DestinationOf;
	!<external|back>FeatureMap.SourceOf;
	Type;
	!<forward>SQLViewAttribute.SourceOf;
}

Class {
Attributes
	CppClassType="Class Type";
	CppScope="Scope";
	CppConcurrency="Concurrency";
	CppAbstract="Abstract";
	CppPersistent="Persistent";
	CppMultiplicity="Multiplicity";
	CppSpace="Space";
	!DimensionalType;
	!DimensionalRole;
Links
	Argument;
	Association;
	!<check>CandidateKey.Primary;
	!Key;
	!Index;
	Operation{!Trigger,!StoredProcedure};
	!Grouping;
	<up>Generalization.SubtypeOf=Specialization;
	<down>Generalization.SupertypeOf=;
	AssociationRole;
	<forward>Dependency;
	<back>Dependency.SupplierOf;
	<forward>Realization;
	<back>Realization.SpecificationOf;
	<back>ClassType;
	!MappingModel;
	!Transformation;
}

Attribute {
Attributes
	InitialValue="Initial Value";
	CppScope="Scope";
	CppContainment="Containement";
	CppStatic="Static";
	CppDerived="Derived";
	!Optional;
	!ExtraConstraint;
Links
	!AssociationRole.QualifierOf;
	!Key;
	!IndexMember;
	!<forward>AssociationRoleNameMap.DestinationOf;
	!<back>AssociationRoleNameMap.SourceOf;
	Generalization.DiscriminatorOf;
	<external|forward>ClassMap.SourceOf;
	<external|forward>ClassMap.DestinationOf;
	!Grouping;
}

Model {
Attributes
	CreationTime="Creation Time";
Links
	!ModelFormat;
	!MetadataOrigin;
	Package;
	!Transformation;
	!PhysicalTarget;
	!Catalog;
	!PropertyElementTypeScope;
	Type;
}

Package {
Attributes
	!UserDefined;
Links
	!Model;
	!Package.Parent;
	Package.Child=;
	Diagram;
	ModelElement{Class, Relationship, !SQLViewEntity, !SQLViewAssociation, !Dimension, !Cube, !Join, !Filter};
	!StoredProcedure;
}

Operation {
Attributes
	Position;
	CppScope="Scope";
	CppConcurrency="Concurrency";
	CppAbstract="Abstract";
	CppFriend="Friend";
	CppStatic="Static";
	CppVirtual="Virtual";
	Semantics;
	Precondition;
	Postcondition;
}

Generalization {
Attributes
	CppScope="Scope";
	CppVirtual="Virtual";
	CppFriend="Friend";
Links
	<up>Class.Supertype;
	<down>Class.Subtype;
	Attribute.Discriminator;
	!ForeignKey;
}

AssociationRole="Association End" {
Attributes
    Position;
	Source;
	Multiplicity;
	Navigable="Is Navigable";
	Ordered="Is Ordered";
	ExtraConstraint="Constraint";
	CppScope="Scope";
	CppContainment="Containement";
	CppStatic="Static";
	CppFriend="Friend";
Links
	!Association;
	Attribute.Qualifier;
	!ForeignKey;
	Class.Associated;
	!Grouping;
}

Diagram {
Links
	!Package;
	ModelElement{Class, Relationship, !SQLViewEntity, !SQLViewAssociation, !Dimension, !Join, !Cube, !Filter};
	PresentationElement;
}

################################################################
# Transformation metadata (inherits from TransformationObject) #
################################################################

##################################################
# Mapping metadata (inherits from MappingObject) #
##################################################
