# XML DTD view

Object {
Attributes
	!ElementType;
	-Name;
	!ID;
}

Element {
Attributes
	!Description;
Links
	!Note;
	!PropertyValue;
}

########################################################
# Repository metadata (Inherits from RepositoryObject) #
########################################################

##############################################
# Model metadata (inherits from ModelObject) #
##############################################

ModelObject {
Attributes
	!PhysicalID;
	PhysicalName;
	!Status;
	!Comment;
	!DesignLevel;
	!Stereotype;
Links
	<external|back>KeyMap.SourceOf;
	!PhysicalObject.Associated;
	!PresentationElement.Presentation;
	!Schema.Owner;
	!Synonym;
}

ModelElement {
Links
	!Package;
	!Diagram;
}

Type {
Links
	!Model;
	!MappingModel;
	AliasType;
	!Argument;	
	Feature{Attribute, !SQLViewAttribute, !Condition, !DimensionAttribute, !Measure, !LevelAttribute};
	!Operation;
}

DerivedType {
Attributes
	InitialValue="Default Value";
	!LowerBound;
	!UpperBound;
	!UserDefined;
Links
	<back>ConcreteType.DerivedFrom;
	TypeValue;
	<external|forward>EnumeratedTypeMap.DestinationOf;
	<external|back>EnumeratedTypeMap.SourceOf;
	!AliasType;
	Feature{Attribute, !SQLViewAttribute, !Condition, !DimensionAttribute, !Measure, !LevelAttribute};
	!Argument;
	!Operation;
}

Classifier {
Attributes
Links
	!<external|forward>ClassifierMap.DestinationOf;
	!<external|back>ClassifierMap.SourceOf;
	Feature;
	!JoinRole.Associated;
	<back>SQLViewAssociation.SourceOf;
}

Feature {
Attributes
	Position;
Links
	!Classifier;
	!<external|forward>FeatureMap.DestinationOf;
	!<external|back>FeatureMap.SourceOf;
	Type;
	<forward>SQLViewAttribute.SourceOf;
}

Class="Element" {
Attributes
	CppClassType="Class Type";
	!CppScope;
	!CppConcurrency;
	!CppAbstract;
	!CppPersistent;
	!CppMultiplicity;
	!CppSpace;
	!DimensionalType;
	!DimensionalRole;
Links
	!Argument;
	!Association;
	!<check>CandidateKey.Primary;
	Key;
	!Index;
	!Operation;
	Grouping;
	<up>Generalization.SubtypeOf;
	<down>Generalization.SupertypeOf;
	AssociationRole;
	!<forward>Dependency;
	!<back>Dependency.SupplierOf;
	!<forward>Realization;
	!<back>Realization.SpecificationOf;
	!MappingModel;
	!Transformation;
}

# The following modify the order defined in one of the parent
# classes and thus must come last

Attribute {
Attributes
	CppStatic="Fixed";
	Optional="Implied";
	InitialValue="Default Value";
	!CppScope;
	!CppContainment;
	!CppDerived;
	!ExtraConstraint;
Links
	!AssociationRole.QualifierOf;
	Key;
	!IndexMember;
	!<forward>AssociationRoleNameMap.DestinationOf;
	!<back>AssociationRoleNameMap.SourceOf;
	!Generalization.DiscriminatorOf;
	<external|forward>ClassMap.SourceOf;
	<external|forward>ClassMap.DestinationOf;
	Grouping;
}

Model {
Attributes
	CreationTime;
Links
	!ModelFormat;
	!MetadataOrigin;
	Package;
	!Transformation;
	!PhysicalTarget;
	!Catalog;
	!PropertyElementTypeScope;
	Type;
}

Package {
Attributes
	!UserDefined;
Links
	!Model;
	!Package.Parent;
	Package.Child;
	!Diagram;
	ModelElement{!Realization, !Dependency, !SQLViewEntity, !SQLViewAssociation, !Dimension, !Cube, !Join, !Filter};
	!StoredProcedure;
}

Generalization {
Attributes
	!CppScope;
	!CppVirtual;
	!CppFriend;
Links
	<up>Class.Supertype;
	<down>Class.Subtype;
	!Attribute.Discriminator;
	ForeignKey;
}

Association {
Attributes!
	Aggregation;
	!ExtraConstraint;
	!UserDefined;
Links
	!Class.Associated;
	AssociationRole;
}

AssociationRole="Association End" {
Attributes
	Source;
	Multiplicity;
	!Navigable;
	!Ordered;
	!ExtraConstraint;
	!CppScope;
	!CppContainment;
	!CppStatic;
	!CppFriend;
Links
	!Association;
	!Attribute.Qualifier;
	ForeignKey;
	Class.Associated;
}

Key {
Links
	!Class.Associated;
	Attribute;
	!Index;
	<external|forward>KeyMap.DestinationOf;
}

################################################################
# Transformation metadata (inherits from TransformationObject) #
################################################################

##################################################
# Mapping metadata (inherits from MappingObject) #
##################################################


